%define	real_name	Parse-RecDescent

Summary:	generate recursive-descent parsers
Name:		perl-%{real_name}
Version:	1.94
Release:	1.5.1
Copyright:	Unknown
Group:		Utilities/CPAN
Source0:	%{real_name}-%{version}.tar.gz
URL:		http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description 
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.


%files -f package-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{real_name}-%{version}

%build
  OPTIMIZE="$RPM_OPT_FLAGS" perl Makefile.PL %{_prefix}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  eval `perl '-V:installarchlib'`
  mkdir -p $RPM_BUILD_ROOT/$installarchlib

  make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_perlman}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_perlman}/man3 install

  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man3/*.* || :
  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man1/*.* || :

  find $RPM_BUILD_ROOT/usr -type f -print |\
        sed "s,^$RPM_BUILD_ROOT,,g" | grep -v perllocal.pod |\
        sed "s,/usr/lib/perl5/man,%doc \0,g" > package-filelist

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 13 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.94, Release 1.5.1
  - Initial build for EnGarde, at the request of a customer.
